Chief Tools Logo
Bill.DO API v1

The DigitalOcean accounts connected to the team. Projects, resources, usage, invoices and alerts all belong to an account.


List accounts

GET
https://bill.do/api/v1
/accounts
OpenID Connect
or
OpenID Connect
or
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctp_*)
or
Bearer (ctp_*)
or
Bearer (ctt_*)
or
Bearer (ctt_*)
or
Bearer (ctt_*)

List the DigitalOcean accounts connected to the team by name. Any Bill.DO read scope grants access.

List accounts › query Parameters

per_page
​integer · min: 1 · max: 100

Number of results per page.

Default: 50
page
​integer · min: 1

Page number to return.

Default: 1

List accounts › Responses

Paginated set of Account

​Account[] · required
​object · required
​object · required

Get an account

GET
https://bill.do/api/v1
/accounts/{account}
OpenID Connect
or
OpenID Connect
or
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctp_*)
or
Bearer (ctp_*)
or
Bearer (ctt_*)
or
Bearer (ctt_*)
or
Bearer (ctt_*)

Get one of the DigitalOcean accounts connected to the team. Any Bill.DO read scope grants access.

Get an account › path Parameters

account
​integer · required

Get an account › Responses

Account

​Account · required